# &kde; kasutaja käsiraamat

David
Faure

    faure@kde.org

Waldo
Bastian

    bastian@kde.org

2010-10-28
&kde; 4.5
kded4
8

# `kded4`

&kde; deemon - lubab Sycoca andmebaasil end vajadusel uuendada.

## Kokkuvõte

    kded4 --help Üldised võtmed Qt võtmed KDE võtmed --check

## Kirjeldus

`kded4` kannab vastutust sycoca-faili, s.t konkreetse kasutaja teenusetüüpide, MIME tüüpide ja teenuste binaarpuhvri loomise eest.

See jälgib katalooge, mis sisaldavad .desktop-faile. Kui mõni fail lisatakse või eemaldatakse, oodatakse viis sekundit (juhuks, kui uuendusi peaks tulema mitu) ning seejärel käivitatakse käsk `kbuildsycoca4` sycoca uuendamiseks.

See kontrollib äsja paigaldatud uuendusfaile, s.t. *.upd-faile kasutajate seadistusfailide uuendamiseks, kui on muutunud seadistusfailide vorming. Uuendusteks käivitatakse käsk `kconf_update`.

Masinanime muutumisel on vajalik teha vajalikud muudatused KDE keskkonda ja X-serverisse edasise töö võimaldamiseks, käivitades muudatusteks käsu `kdontchangethehostname`.

Samad ülesanded täidetakse alati kded4 käivitamisel tagamaks, et kasutaja seadistus on ikka värske.

Samuti kannab see vastutust kded4 nõudmisel laaditavate ning initsialiseerimisvõimega moodulite käivitamiseks, näiteks:

`Konquerori brauseri eellaadimise moodul`

  Konquerori käivitamisaja kahandamine.

`Kataloogijälgija`

  Kataloogide muutuste jälgimine.

`Riistvara tuvastamine`

  Riistvarasündmuste kasutajaliides.

`SSL sertifikaadi reegel`

  Kasutaja seadistatud SSL sertifikaadi reegli edastamine rakendustele.

`Võrgupuhverserveri seadistamine`

  Automaatne puhverserveri seadistamine.

`Parooli puhverdamine`

  Ajutine parooli puhverdamine, et näiteks HTTP autentimisega veebileht ei küsiks iga leheküljel paikneva lingi ja pildi korral parooli. Need paroolid unustatakse KDE-st väljumisel (erinevalt `KWalletist`).

`Helireeglid`

  Helisüsteemi reeglite edastamine rakendustele.

`Lemmikikoonid`

  Veebilehekülgede ikoonide salvestamine.

`Kuvahaldus`

  Monitoride ja videoväljundite haldamine.

`Küpsisekarp`

  Võrguküpsiste salvestamine.

`Võrgujälgija`

  Hoiab võrgul silma peal ja uuendab KIO-mooduli network:/ kataloogide nimekirja.

`Subversioni moodul`

  Mitmesuguste Subversioni toimingute edastamine failihaldurile ja muule tarkvarale.

`Võrguolek`

  Võrguliideste oleku jälgimine ja märguannete edastamine rakendustele võrgu vahendusel.

`Write-deemon`

  Kohalike kasutajate write(1) või wall(1) abil saadetud teadete jälgimine.

`Märguannete ala jälgija`

  Silma peal hoidmine rakendustel, mis soovivad kasutada D-Busi põhist märguannet.

`KMixD`

  KMixD mikseriteenus

`Süsteemisalve deemon`

  Silma peal hoidmine rakendustel, mis soovivad kasutada D-Busi põhist süsteemisalve.

`Klaviatuurideemon`

  Silma peal hoidmine klaviatuurimuudatustel (uus klaviatuur, muutunud paigutus).

`Mujalasuva URL-i muutumise teadustaja`

  Võrgukataloogide muutuste märguannete edastamine

`Tegevuste haldur`

  Nepomuki tegevuste halduri taustaprogramm

`Monitori kuvahaldus`

  Märguandmine kuva pööramise kohta (kui võimalik)

`Vaba ruumi teavitaja`

  Hoiatus, kui kodukataloogis hakkab ruumi nappima.

`Eemaldatavate seadmete automaatne ühendaja`

  Seadmete automaatne ühendamine vajaduse korral.

`Nepomuki otsingumoodul`

  KIO abimoodul Nepomuki otsinguloendite automaatseks uuendamiseks.

`Toitehaldus`

  Aku, monitori ja protsessori toitehaldus ja märguanded.

`KDE kaugjuhtimise deemon`

  Saadud kaugjuhtimiskäskude haldamine

`Oleku märguannete haldur`

  Teenuste haldamine, mis pakuvad olekumärguannete kasutajaliidest.

`DNS-SD teenuste tuvastamise jälgija`

  DNS-SD teenuste võrgu jälgimine.

`Plaadiväljasti`

  Plaatide automaatne lahutamine ja väljastamine väljastamisnupu vajutamisel.

`Ajavöönd`

  Süsteemi ajavööndi edastamine rakendustele.

`Sisestustoimingud`

  Sisestustoimingute teenus, mis võimaldab klahve vajutades ette võtta teatavaid määratud toiminguid.

Initsialiseerivaid mooduleid saab sisse või välja lülitada käsuga `systemsettings` rubriigis Süsteemi haldamine > Käivitamine ja seiskamine > Teenustehaldur.

## Üldised võtmed

`--author`

  Näitab infot autori kohta.

`--help`

  Näitab abiteadet võtmete kohta.

`--help-all`

  Näitab kõiki võtmeid.

`--help-kde`

  Näitab KDE spetsiifilisi võtmeid.

`--help-qt`

  Näitab Qt spetsiifilisi võtmeid.

`--license`

  Näitab litsentsiinfot.

`-v` `--version`

  Näitab versiooniinfot.

## Rakenduse võtmed

`--check`

  Sycoca andmebaasi kontrollitakse ainult korra.

## Kasutamine

Kui käivitada `kded4` parameetriteta ja see juba töötab, näidatakse teadet:

    KDE deemon (kded) juba töötab.

Kui käivitada `kded4` parameetriga `kded4 --check`, uuendab see &kde; sycoca-faili käsuga `kbuildsycoca4`.

## Vaata ka

kdeoptions(7), qtoptions(7), kbuildsycoca4(8)

## Vead

Vigu võib olla mustmiljon, õige koht neist teadaandmiseks on bugs.kde.org.